#
# spec file for package statserial
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           statserial
Version:        1.1
Release:        743.2
Summary:        Helps to Debug Serial Lines
License:        GPL-2.0+
Group:          Hardware/Other
Url:            http://www.ibiblio.org/pub/Linux/system/serial
Source:         http://www.ibiblio.org/pub/Linux/system/serial/%{name}-%{version}.tar.gz
Patch0:         %{name}-%{version}-device.diff
BuildRequires:  ncurses-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Statserial displays a table of the signals on a standard 9-pin or
25-pin serial port and indicates the status of the handshaking lines.
It can be useful for debugging problems with serial ports or modems.

%prep
%autosetup -p0

%build
cc %{optflags} -o statserial statserial.c -lncurses -ltinfo

%install
install -d -m 755 %{buildroot}%{_bindir}/
install -d -m 755 %{buildroot}%{_mandir}/man1/
install -m 755 statserial phone_log %{buildroot}%{_bindir}/
install -m 644 statserial.1 %{buildroot}%{_mandir}/man1/

%files
%defattr(-,root,root,-)
%doc COPYING ChangeLog README
%{_mandir}/man?/*
%{_bindir}/*

%changelog
* Mon Feb 26 2024 Dominique Leuenberger <dimstar@opensuse.org>
- Use %%autosetup macro. Allows to eliminate the usage of deprecated
  PatchN.
* Mon Dec  7 2015 mpluskal@suse.com
- Update url
* Fri Mar 13 2015 tchvatal@suse.com
- Use cc instead of gcc
* Mon May 12 2014 tchvatal@suse.com
- Use at least bit living URL as homepage.
* Mon May 12 2014 tchvatal@suse.com
- Cleanup with spec-cleaner
- Remove provides obsoletes for move that was done in 2000.
* Wed Nov 30 2011 aj@suse.de
- Remove asneeded workaround and fix compile line instead.
* Tue Nov 29 2011 vcizek@suse.com
- added -ltinfo to fix build
* Fri Sep 30 2011 uli@suse.com
- cross-build fix: use %%__cc macro
* Fri Jun 19 2009 coolo@novell.com
- disable as-needed for this package as it fails to build with it
* Sat Nov 11 2006 ro@suse.de
- fix manpage permissions
* Mon Oct 30 2006 mjancar@suse.cz
- change default device from /dev/cua1 to /dev/ttyS1
- link dynamicaly
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Oct 31 2005 dmueller@suse.de
- don't build as root
* Mon Jun 21 2004 ro@suse.de
- use -static instead of -N
* Wed Nov 29 2000 smid@suse.cz
- renamed: statseri => statserial
* Thu May  4 2000 smid@suse.de
- buildroot added
* Fri Mar  3 2000 uli@suse.de
- moved man page to /usr/share
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Jul 20 1999 uli@suse.de
- new package, version 1.1
